Page MenuHomePhabricator

Install PHPExcel so I can export reports
Closed, DeclinedPublic

Description

I tried exporting a report of all tasks in my project but was blocked because PHPExcel isn't installed.
Example:
http://fab.wmflabs.org/maniphest/export/uNSdt21qeIxJ/

Please install it so I can export my tasks.

Details

Reference
fl243

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:32 AM
flimport set Reference to fl243.

aklapper wrote on 2014-05-23 06:33:30 (UTC)

That message links to https://github.com/PHPOffice/PHPExcel

@kevinator: Is there an Ubuntu package available?
If not I guess that code needs a security review first before deploying it?

aklapper wrote on 2014-08-18 21:01:29 (UTC)

In T243#8, @Aklapper wrote:

That message links to https://github.com/PHPOffice/PHPExcel
@kevinator: Is there an Ubuntu package available?
If not I guess that code needs a security review first before deploying it?

Looks like PHPExcel is shipped as part of the Owncloud package in Ubuntu Trusty, see http://packages.ubuntu.com/trusty/all/owncloud/filelist. Can't judge if that's sufficient when it comes to security review. https://patches.ubuntu.com/o/owncloud/ does not list any downstream patches for that subfolder.

Qgil lowered the priority of this task from Normal to Low.Nov 7 2014, 10:49 AM
Qgil moved this task from To Triage to Need discussion on the Phabricator board.Jan 15 2015, 7:30 AM

Need input / judgement here from csteipp / Security whether review is definitely required before trying to install this on production (I'd guess so).

Upstream code is at https://github.com/PHPOffice/PHPExcel and not really small.
See links in T152#2096 when it comes to the code in its "classes" subfolder already being shipped as part of the Ubuntu's 'owncloud' package.

demon added a subscriber: demon.Jan 20 2015, 11:33 PM

Let's drop the owncloud package. It's completely unrelated and we don't need it. We'd just deploy this via git-deploy or something else sane.

gerritbot added a subscriber: gerritbot.

Change 189327 had a related patch set uploaded (by Merlijn van Deen):
Change 'Export to Excel' to 'Export (disabled)'

https://gerrit.wikimedia.org/r/189327

Patch-For-Review

Change 189327 merged by Dzahn:
Change 'Export to Excel' to 'Export (disabled)'

https://gerrit.wikimedia.org/r/189327

Dzahn added a subscriber: Dzahn.EditedFeb 10 2015, 12:36 AM
In T152#987801, @Chad wrote:

Let's drop the owncloud package. It's completely unrelated and we don't need it. We'd just deploy this via git-deploy or something else sane.

This ^ , we don't want to install owncloud for this :p.

In Debian there is a request to make a package for it at:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=718585

with severity:wishlist

quote from that bug "Since ownCloud recently decided not to ship PHPExel anymore, I lost
interest into packaging it. Please note that OLE is DFSG-incompatible
anyway, and while one of the two copyright holders, Christian Schmidt,
would be happy to relicense the parts that he has written, all attempts
to get in touch with the initial author, Xavier Noguer, have failed so
far."

that doesn't sound promising. also we probably don't want to have to security review this ourselves.

how about just exporting plain CSV? Any Excel can easily import CSV.

Exporting stuff can be useful.

Check out https://phab08.wmflabs.org/project/sprint/burn/8/ for the test prototype of a CSV exporter of sprint project tasks and events.

Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 18 2015, 6:06 PM
Krenair closed this task as Declined.Jun 19 2015, 3:19 PM
Krenair claimed this task.

Excel is not an option, let's have T103009 instead please.